/workable-hr | Type: Application | PCID required: Yes
Tools
workable_hr_approve_requisition
Approve a requisition Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | The requisition code. |
member_id | string | Yes | — | The member approving the requisition. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "The requisition code."
},
"member_id": {
"type": "string",
"description": "The member approving the requisition."
}
},
"required": [
"PCID",
"code",
"member_id"
]
}
workable_hr_create_department
Create a department Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
name | string | Yes | — | Department name. |
parent_id | string | No | — | Parent department identifier. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"name": {
"type": "string",
"description": "Department name."
},
"parent_id": {
"type": "string",
"description": "Parent department identifier."
}
},
"required": [
"PCID",
"name"
]
}
workable_hr_create_employee
Create an employee Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
member_id | string | No | — | Optional member ID, retrievable from GET /members. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"member_id": {
"type": "string",
"description": "Optional member ID, retrievable from GET /members."
}
},
"required": [
"PCID"
]
}
workable_hr_create_requisition
Create a requisition Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
city | string | No | — | City. |
code | string | Yes | — | The requisition code. |
country_code | string | No | — | Country code. |
department_id | string | No | — | Department ID. |
employment_type | string | No | — | Employment type. |
experience | string | No | — | Experience level. |
hiring_manager_id | string | Yes | — | Hiring manager ID. |
job_id | string | No | — | Job ID. |
job_title | string | Yes | — | Job title. |
member_id | string | No | — | Creator ID (required for account tokens). |
notes | string | No | — | Additional notes. |
owner_id | string | Yes | — | Owner identifier. |
plan_date | string | Yes | — | Plan date. |
reason | string | No | — | Reason for the requisition. |
salary_currency | string | No | — | Salary currency. |
salary_frequency | string | No | — | Salary frequency. |
salary_from | number | No | — | Minimum salary. |
salary_to | number | No | — | Maximum salary. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"city": {
"type": "string",
"description": "City."
},
"code": {
"type": "string",
"description": "The requisition code."
},
"country_code": {
"type": "string",
"description": "Country code."
},
"department_id": {
"type": "string",
"description": "Department ID."
},
"employment_type": {
"type": "string",
"description": "Employment type."
},
"experience": {
"type": "string",
"description": "Experience level."
},
"hiring_manager_id": {
"type": "string",
"description": "Hiring manager ID."
},
"job_id": {
"type": "string",
"description": "Job ID."
},
"job_title": {
"type": "string",
"description": "Job title."
},
"member_id": {
"type": "string",
"description": "Creator ID (required for account tokens)."
},
"notes": {
"type": "string",
"description": "Additional notes."
},
"owner_id": {
"type": "string",
"description": "Owner identifier."
},
"plan_date": {
"type": "string",
"description": "Plan date."
},
"reason": {
"type": "string",
"description": "Reason for the requisition."
},
"salary_currency": {
"type": "string",
"description": "Salary currency."
},
"salary_frequency": {
"type": "string",
"description": "Salary frequency."
},
"salary_from": {
"type": "number",
"description": "Minimum salary."
},
"salary_to": {
"type": "number",
"description": "Maximum salary."
}
},
"required": [
"PCID",
"code",
"hiring_manager_id",
"job_title",
"owner_id",
"plan_date"
]
}
workable_hr_create_subscription
Create a webhook subscription Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
args | object | No | — | Arguments for the subscription. |
event | string | Yes | — | The event to subscribe to. |
target | string | Yes | — | The URL of the endpoint to push notifications at. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"args": {
"type": "object",
"description": "Arguments for the subscription."
},
"event": {
"type": "string",
"description": "The event to subscribe to.",
"enum": [
"candidate_created",
"candidate_moved",
"employee_created",
"employee_updated",
"employee_published",
"onboarding_completed",
"timeoff_updated"
]
},
"target": {
"type": "string",
"description": "The URL of the endpoint to push notifications at."
}
},
"required": [
"PCID",
"event",
"target"
]
}
workable_hr_deactivate_member
Deactivate a member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The member’s ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The member's ID."
}
},
"required": [
"PCID",
"id"
]
}
workable_hr_delete_department
Delete a department Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Department ID. |
force | string | No | — | Pass ‘DELETE’ to bypass affected resource checks. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Department ID."
},
"force": {
"type": "string",
"description": "Pass 'DELETE' to bypass affected resource checks."
}
},
"required": [
"PCID",
"id"
]
}
workable_hr_enable_member
Enable a member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The member’s ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The member's ID."
}
},
"required": [
"PCID",
"id"
]
}
workable_hr_get_employee
Get an employee Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The employee ID. |
member_id | string | No | — | Optional member ID for user tokens; required for account tokens. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The employee ID."
},
"member_id": {
"type": "string",
"description": "Optional member ID for user tokens; required for account tokens."
}
},
"required": [
"PCID",
"id"
]
}
workable_hr_get_requisition
Get a requisition Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | The requisition code. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "The requisition code."
}
},
"required": [
"PCID",
"code"
]
}
workable_hr_invite_member
Invite a member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
collaboration_rules | object[] | No | — | Collaboration rules for the member. |
email | string | Yes | — | The email address to invite. |
member_id | string | No | — | Required for account-wide tokens. |
roles | string[] | Yes | — | The roles to assign to the member. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"collaboration_rules": {
"type": "array",
"items": {
"type": "object"
},
"description": "Collaboration rules for the member."
},
"email": {
"type": "string",
"description": "The email address to invite."
},
"member_id": {
"type": "string",
"description": "Required for account-wide tokens."
},
"roles": {
"type": "array",
"items": {
"type": "string"
},
"description": "The roles to assign to the member."
}
},
"required": [
"PCID",
"email",
"roles"
]
}
workable_hr_list_accounts
List accountsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
workable_hr_list_departments
List departmentsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
workable_hr_list_employee_fields
List employee fields Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
member_id | string | No | — | Optional member ID derived from GET /members. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"member_id": {
"type": "string",
"description": "Optional member ID derived from GET /members."
}
},
"required": [
"PCID"
]
}
workable_hr_list_employees
List employees Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | Limits number of returned results. Must be one of: 10, 20, 50, 100. Default: 10. |
offset | integer | No | — | Skips first n entries for pagination. |
query | string | No | — | Search by firstname, lastname, or email. |
order_by | string | No | — | Order results by division or department. |
member_id | string | No | — | Elevated access identifier from GET /members. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "Limits number of returned results. Must be one of: 10, 20, 50, 100. Default: 10.",
"enum": [
10,
20,
50,
100
]
},
"offset": {
"type": "integer",
"description": "Skips first n entries for pagination."
},
"query": {
"type": "string",
"description": "Search by firstname, lastname, or email."
},
"order_by": {
"type": "string",
"description": "Order results by division or department."
},
"member_id": {
"type": "string",
"description": "Elevated access identifier from GET /members."
}
},
"required": [
"PCID"
]
}
workable_hr_list_legal_entities
List legal entitiesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
workable_hr_list_members
List members Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | Number of results per page (default 50). |
since_id | string | No | — | Returns results with an ID greater than or equal to the specified ID. |
max_id | string | No | — | Returns results with an ID less than or equal to the specified ID. |
role | string | No | — | Filter by role: simple, admin, or reviewer. |
shortcode | string | No | — | Filter by specific job shortcode. |
email | string | No | — | Filter by member email. |
name | string | No | — | Filter by full name (exact match). |
status | string | No | — | Filter by status: active, inactive, all. Default: active. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "Number of results per page (default 50)."
},
"since_id": {
"type": "string",
"description": "Returns results with an ID greater than or equal to the specified ID."
},
"max_id": {
"type": "string",
"description": "Returns results with an ID less than or equal to the specified ID."
},
"role": {
"type": "string",
"description": "Filter by role: simple, admin, or reviewer.",
"enum": [
"simple",
"admin",
"reviewer"
]
},
"shortcode": {
"type": "string",
"description": "Filter by specific job shortcode."
},
"email": {
"type": "string",
"description": "Filter by member email."
},
"name": {
"type": "string",
"description": "Filter by full name (exact match)."
},
"status": {
"type": "string",
"description": "Filter by status: active, inactive, all. Default: active.",
"enum": [
"active",
"inactive",
"all"
]
}
},
"required": [
"PCID"
]
}
workable_hr_list_requisitions
List requisitions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
state | string | No | — | Filter by requisition state. |
job_id | string | No | — | Filter by job ID. |
plan_date_from | string | No | — | Filter plan date from (YYYY-MM format). |
plan_date_to | string | No | — | Filter plan date to (YYYY-MM format). |
limit | integer | No | — | Number of results per page (default 50). |
since_id | string | No | — | Returns results with an ID greater than or equal to the specified ID. |
max_id | string | No | — | Returns results with an ID less than or equal to the specified ID. |
created_after | string | No | — | Filter by creation timestamp (ISO 8601). |
updated_after | string | No | — | Filter by update timestamp (ISO 8601). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"state": {
"type": "string",
"description": "Filter by requisition state.",
"enum": [
"processing",
"draft",
"pending",
"approved",
"open",
"filled",
"rejected",
"cancelled",
"reserved",
"on_hold"
]
},
"job_id": {
"type": "string",
"description": "Filter by job ID."
},
"plan_date_from": {
"type": "string",
"description": "Filter plan date from (YYYY-MM format)."
},
"plan_date_to": {
"type": "string",
"description": "Filter plan date to (YYYY-MM format)."
},
"limit": {
"type": "integer",
"description": "Number of results per page (default 50)."
},
"since_id": {
"type": "string",
"description": "Returns results with an ID greater than or equal to the specified ID."
},
"max_id": {
"type": "string",
"description": "Returns results with an ID less than or equal to the specified ID."
},
"created_after": {
"type": "string",
"description": "Filter by creation timestamp (ISO 8601)."
},
"updated_after": {
"type": "string",
"description": "Filter by update timestamp (ISO 8601)."
}
},
"required": [
"PCID"
]
}
workable_hr_list_work_schedules
List work schedulesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
workable_hr_merge_departments
Merge departments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The department ID to merge from. |
force | boolean | No | — | Bypass affected resource checks when true. |
target_department_id | string | Yes | — | Target department identifier. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The department ID to merge from."
},
"force": {
"type": "boolean",
"description": "Bypass affected resource checks when true."
},
"target_department_id": {
"type": "string",
"description": "Target department identifier."
}
},
"required": [
"PCID",
"id",
"target_department_id"
]
}
workable_hr_reject_requisition
Reject a requisition Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | The requisition code. |
member_id | string | Yes | — | The member rejecting the requisition. |
rejection_reason | string | No | — | An optional rejection reason. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "The requisition code."
},
"member_id": {
"type": "string",
"description": "The member rejecting the requisition."
},
"rejection_reason": {
"type": "string",
"description": "An optional rejection reason."
}
},
"required": [
"PCID",
"code",
"member_id"
]
}
workable_hr_update_department
Update a department Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Department identifier. |
name | string | Yes | — | New department name. |
parent_id | string | No | — | Parent department identifier. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Department identifier."
},
"name": {
"type": "string",
"description": "New department name."
},
"parent_id": {
"type": "string",
"description": "Parent department identifier."
}
},
"required": [
"PCID",
"id",
"name"
]
}
workable_hr_update_employee
Update an employee Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The employee ID. |
member_id | string | No | — | Optional member ID, retrievable from GET /members. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The employee ID."
},
"member_id": {
"type": "string",
"description": "Optional member ID, retrievable from GET /members."
}
},
"required": [
"PCID",
"id"
]
}
workable_hr_update_member
Update a member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
collaboration_rules | object[] | No | — | Rules with role, departments, and locations. |
id | string | Yes | — | The member’s identifier. |
roles | string[] | Yes | — | Member’s roles in the system. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"collaboration_rules": {
"type": "array",
"items": {
"type": "object"
},
"description": "Rules with role, departments, and locations."
},
"id": {
"type": "string",
"description": "The member's identifier."
},
"roles": {
"type": "array",
"items": {
"type": "string"
},
"description": "Member's roles in the system."
}
},
"required": [
"PCID",
"id",
"roles"
]
}
workable_hr_update_requisition
Update a requisition Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The requisition ID. |
hiring_manager_id | string | No | — | Hiring manager ID. |
job_title | string | No | — | Job title. |
member_id | string | No | — | Editor ID (required for account tokens). |
owner_id | string | No | — | Owner identifier. |
plan_date | string | No | — | Plan date. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The requisition ID."
},
"hiring_manager_id": {
"type": "string",
"description": "Hiring manager ID."
},
"job_title": {
"type": "string",
"description": "Job title."
},
"member_id": {
"type": "string",
"description": "Editor ID (required for account tokens)."
},
"owner_id": {
"type": "string",
"description": "Owner identifier."
},
"plan_date": {
"type": "string",
"description": "Plan date."
}
},
"required": [
"PCID",
"id"
]
}

